Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface ConsumerBeanType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ConsumerBeanTypeImpl

    public interface ConsumerBeanType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `consumer-beanType` xsd type

Original Documentation:

The consumer element holds all of the information specific about a
consumer bean which is a JBoss proprietary extension to EJB3 for sending JMS messages via
standard Java interfaces. Used in: enterprise-beans

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`ActivationConfigType<ConsumerBeanType<T>>` | `activationConfig()` If not already created, a new `activation-config` element will be created and returned.
`AnnotationType<ConsumerBeanType<T>>` | `annotation()` Returns the `annotation` element
`MethodAttributesType<ConsumerBeanType<T>>` | `currentMessage()` If not already created, a new `current-message` element will be created and returned.
`EjbLocalRefType<ConsumerBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<ConsumerBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`java.util.List<AnnotationType<ConsumerBeanType<T>>>` | `getAnnotationList()` Returns all `annotation` elements
`java.lang.String` | `getAopDomainName()` Returns the `aop-domain-name` element
`java.util.List<java.lang.String>` | `getDependsList()` Returns all `depends` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClass()` Returns the `ejb-class` element
`java.util.List<EjbLocalRefType<ConsumerBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<ConsumerBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<IconType<ConsumerBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<JndiRefType<ConsumerBeanType<T>>>` | `getJndiRefList()` Returns all `jndi-ref` elements
`java.util.List<ProducerType<ConsumerBeanType<T>>>` | `getLocalProducerList()` Returns all `local-producer` elements
`java.lang.String` | `getMessageDestination()` Returns the `message-destination` element
`java.util.List<MessageDestinationRefType<ConsumerBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.lang.String` | `getMessageDestinationType()` Returns the `message-destination-type` element
`java.util.List<MessagePropertiesType<ConsumerBeanType<T>>>` | `getMessagePropertiesList()` Returns all `message-properties` elements
`java.util.List<ProducerType<ConsumerBeanType<T>>>` | `getProducerList()` Returns all `producer` elements
`java.util.List<ResourceEnvRefType<ConsumerBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<ConsumerBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`IconType<ConsumerBeanType<T>>` | `icon()` Returns the `icon` element
`IgnoreDependencyType<ConsumerBeanType<T>>` | `ignoreDependency()` If not already created, a new `ignore-dependency` element will be created and returned.
`JndiRefType<ConsumerBeanType<T>>` | `jndiRef()` Returns the `jndi-ref` element
`ProducerType<ConsumerBeanType<T>>` | `localProducer()` Returns the `local-producer` element
`MessageDestinationRefType<ConsumerBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MessagePropertiesType<ConsumerBeanType<T>>` | `messageProperties()` Returns the `message-properties` element
`MethodAttributesType<ConsumerBeanType<T>>` | `methodAttributes()` If not already created, a new `method-attributes` element will be created and returned.
`PoolConfigType<ConsumerBeanType<T>>` | `poolConfig()` If not already created, a new `pool-config` element will be created and returned.
`ProducerType<ConsumerBeanType<T>>` | `producer()` Returns the `producer` element
`ConsumerBeanType<T>` | `removeActivationConfig()` Removes the `activation-config` element
`ConsumerBeanType<T>` | `removeAllAnnotation()` Removes all `annotation` elements
`ConsumerBeanType<T>` | `removeAllDepends()` Removes the `depends` element
`ConsumerBeanType<T>` | `removeAllDescription()` Removes the `description` element
`ConsumerBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ConsumerBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`ConsumerBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`ConsumerBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`ConsumerBeanType<T>` | `removeAllJndiRef()` Removes all `jndi-ref` elements
`ConsumerBeanType<T>` | `removeAllLocalProducer()` Removes all `local-producer` elements
`ConsumerBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`ConsumerBeanType<T>` | `removeAllMessageProperties()` Removes all `message-properties` elements
`ConsumerBeanType<T>` | `removeAllProducer()` Removes all `producer` elements
`ConsumerBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`ConsumerBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`ConsumerBeanType<T>` | `removeAopDomainName()` Removes the `aop-domain-name` element
`ConsumerBeanType<T>` | `removeCurrentMessage()` Removes the `current-message` element
`ConsumerBeanType<T>` | `removeEjbClass()` Removes the `ejb-class` element
`ConsumerBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`ConsumerBeanType<T>` | `removeIgnoreDependency()` Removes the `ignore-dependency` element
`ConsumerBeanType<T>` | `removeMessageDestination()` Removes the `message-destination` element
`ConsumerBeanType<T>` | `removeMessageDestinationType()` Removes the `message-destination-type` element
`ConsumerBeanType<T>` | `removeMethodAttributes()` Removes the `method-attributes` element
`ConsumerBeanType<T>` | `removePoolConfig()` Removes the `pool-config` element
`ConsumerBeanType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`ConsumerBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ResourceEnvRefType<ConsumerBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<ConsumerBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<ConsumerBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`ConsumerBeanType<T>` | `setAopDomainName(java.lang.String aopDomainName)` If not already created, a new `aop-domain-name` element with the given value will be created.
`ConsumerBeanType<T>` | `setDepends(java.lang.String depends)` Creates a new `depends` element
`ConsumerBeanType<T>` | `setDependsList(java.lang.String... values)` Creates for all String objects representing `depends` elements, a new `depends` element
`ConsumerBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ConsumerBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ConsumerBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ConsumerBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ConsumerBeanType<T>` | `setEjbClass(java.lang.String ejbClass)` If not already created, a new `ejb-class` element with the given value will be created.
`ConsumerBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`ConsumerBeanType<T>` | `setMessageDestination(java.lang.String messageDestination)` If not already created, a new `message-destination` element with the given value will be created.
`ConsumerBeanType<T>` | `setMessageDestinationType(java.lang.String messageDestinationType)` If not already created, a new `message-destination-type` element with the given value will be created.
`ConsumerBeanType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ConsumerBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ConsumerBeanType`

### setDescriptionList

    ConsumerBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ConsumerBeanType`

### removeAllDescription

    ConsumerBeanType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ConsumerBeanType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    ConsumerBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `ConsumerBeanType`

### setDisplayNameList

    ConsumerBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ConsumerBeanType`

### removeAllDisplayName

    ConsumerBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `ConsumerBeanType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    ConsumerBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `ConsumerBeanType`

### icon

    IconType<ConsumerBeanType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<ConsumerBeanType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### setEjbName

    ConsumerBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Returns:
    the current instance of `ConsumerBeanType`

### removeEjbName

    ConsumerBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Returns:
    the current instance of `ConsumerBeanType`

### getEjbName

    java.lang.String getEjbName()

  Returns the `ejb-name` element

  Returns:
    the node defined for the element `ejb-name`

### setEjbClass

    ConsumerBeanType<T> setEjbClass(java.lang.String ejbClass)

  If not already created, a new `ejb-class` element with the given value will be created. Otherwise, the existing `ejb-class` element will be updated with the given value.

  Returns:
    the current instance of `ConsumerBeanType`

### removeEjbClass

    ConsumerBeanType<T> removeEjbClass()

  Removes the `ejb-class` element

  Returns:
    the current instance of `ConsumerBeanType`

### getEjbClass

    java.lang.String getEjbClass()

  Returns the `ejb-class` element

  Returns:
    the node defined for the element `ejb-class`

### setMessageDestination

    ConsumerBeanType<T> setMessageDestination(java.lang.String messageDestination)

  If not already created, a new `message-destination` element with the given value will be created. Otherwise, the existing `message-destination` element will be updated with the given value.

  Returns:
    the current instance of `ConsumerBeanType`

### removeMessageDestination

    ConsumerBeanType<T> removeMessageDestination()

  Removes the `message-destination` element

  Returns:
    the current instance of `ConsumerBeanType`

### getMessageDestination

    java.lang.String getMessageDestination()

  Returns the `message-destination` element

  Returns:
    the node defined for the element `message-destination`

### setMessageDestinationType

    ConsumerBeanType<T> setMessageDestinationType(java.lang.String messageDestinationType)

  If not already created, a new `message-destination-type` element with the given value will be created. Otherwise, the existing `message-destination-type` element will be updated with the given value.

  Returns:
    the current instance of `ConsumerBeanType`

### removeMessageDestinationType

    ConsumerBeanType<T> removeMessageDestinationType()

  Removes the `message-destination-type` element

  Returns:
    the current instance of `ConsumerBeanType`

### getMessageDestinationType

    java.lang.String getMessageDestinationType()

  Returns the `message-destination-type` element

  Returns:
    the node defined for the element `message-destination-type`

### removeAllProducer

    ConsumerBeanType<T> removeAllProducer()

  Removes all `producer` elements

  Returns:
    the current instance of `ConsumerBeanType`

### producer

    ProducerType<ConsumerBeanType<T>> producer()

  Returns the `producer` element

  Returns:
    the node defined for the element `producer`

### getProducerList

    java.util.List<ProducerType<ConsumerBeanType<T>>> getProducerList()

  Returns all `producer` elements

  Returns:
    list of `producer`

### removeAllLocalProducer

    ConsumerBeanType<T> removeAllLocalProducer()

  Removes all `local-producer` elements

  Returns:
    the current instance of `ConsumerBeanType`

### localProducer

    ProducerType<ConsumerBeanType<T>> localProducer()

  Returns the `local-producer` element

  Returns:
    the node defined for the element `local-producer`

### getLocalProducerList

    java.util.List<ProducerType<ConsumerBeanType<T>>> getLocalProducerList()

  Returns all `local-producer` elements

  Returns:
    list of `local-producer`

### removeCurrentMessage

    ConsumerBeanType<T> removeCurrentMessage()

  Removes the `current-message` element

  Returns:
    the current instance of `ConsumerBeanType`

### currentMessage

    MethodAttributesType<ConsumerBeanType<T>> currentMessage()

  If not already created, a new `current-message` element will be created and returned. Otherwise, the existing `current-message` element will be returned.

  Returns:
    the node defined for the element `current-message`

### removeAllMessageProperties

    ConsumerBeanType<T> removeAllMessageProperties()

  Removes all `message-properties` elements

  Returns:
    the current instance of `ConsumerBeanType`

### messageProperties

    MessagePropertiesType<ConsumerBeanType<T>> messageProperties()

  Returns the `message-properties` element

  Returns:
    the node defined for the element `message-properties`

### getMessagePropertiesList

    java.util.List<MessagePropertiesType<ConsumerBeanType<T>>> getMessagePropertiesList()

  Returns all `message-properties` elements

  Returns:
    list of `message-properties`

### removeAllEjbRef

    ConsumerBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Returns:
    the current instance of `ConsumerBeanType`

### ejbRef

    EjbRefType<ConsumerBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    java.util.List<EjbRefType<ConsumerBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    ConsumerBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Returns:
    the current instance of `ConsumerBeanType`

### ejbLocalRef

    EjbLocalRefType<ConsumerBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    java.util.List<EjbLocalRefType<ConsumerBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Returns:
    list of `ejb-local-ref`

### removeSecurityIdentity

    ConsumerBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Returns:
    the current instance of `ConsumerBeanType`

### securityIdentity

    SecurityIdentityType<ConsumerBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Returns:
    the node defined for the element `security-identity`

### removeAllResourceRef

    ConsumerBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Returns:
    the current instance of `ConsumerBeanType`

### resourceRef

    ResourceRefType<ConsumerBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    java.util.List<ResourceRefType<ConsumerBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    ConsumerBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Returns:
    the current instance of `ConsumerBeanType`

### resourceEnvRef

    ResourceEnvRefType<ConsumerBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    java.util.List<ResourceEnvRefType<ConsumerBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    ConsumerBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Returns:
    the current instance of `ConsumerBeanType`

### messageDestinationRef

    MessageDestinationRefType<ConsumerBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    java.util.List<MessageDestinationRefType<ConsumerBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Returns:
    list of `message-destination-ref`

### setSecurityDomain

    ConsumerBeanType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Returns:
    the current instance of `ConsumerBeanType`

### removeSecurityDomain

    ConsumerBeanType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Returns:
    the current instance of `ConsumerBeanType`

### getSecurityDomain

    java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Returns:
    the node defined for the element `security-domain`

### removeMethodAttributes

    ConsumerBeanType<T> removeMethodAttributes()

  Removes the `method-attributes` element

  Returns:
    the current instance of `ConsumerBeanType`

### methodAttributes

    MethodAttributesType<ConsumerBeanType<T>> methodAttributes()

  If not already created, a new `method-attributes` element will be created and returned. Otherwise, the existing `method-attributes` element will be returned.

  Returns:
    the node defined for the element `method-attributes`

### setDepends

    ConsumerBeanType<T> setDepends(java.lang.String depends)

  Creates a new `depends` element

  Returns:
    the current instance of `ConsumerBeanType`

### setDependsList

    ConsumerBeanType<T> setDependsList(java.lang.String... values)

  Creates for all String objects representing `depends` elements, a new `depends` element

  Parameters:
    `list` - of `depends` objects
  Returns:
    the current instance of `ConsumerBeanType`

### removeAllDepends

    ConsumerBeanType<T> removeAllDepends()

  Removes the `depends` element

  Returns:
    the current instance of `ConsumerBeanType`

### getDependsList

    java.util.List<java.lang.String> getDependsList()

  Returns all `depends` elements

  Returns:
    list of `depends`

### removeAllAnnotation

    ConsumerBeanType<T> removeAllAnnotation()

  Removes all `annotation` elements

  Returns:
    the current instance of `ConsumerBeanType`

### annotation

    AnnotationType<ConsumerBeanType<T>> annotation()

  Returns the `annotation` element

  Returns:
    the node defined for the element `annotation`

### getAnnotationList

    java.util.List<AnnotationType<ConsumerBeanType<T>>> getAnnotationList()

  Returns all `annotation` elements

  Returns:
    list of `annotation`

### removeIgnoreDependency

    ConsumerBeanType<T> removeIgnoreDependency()

  Removes the `ignore-dependency` element

  Returns:
    the current instance of `ConsumerBeanType`

### ignoreDependency

    IgnoreDependencyType<ConsumerBeanType<T>> ignoreDependency()

  If not already created, a new `ignore-dependency` element will be created and returned. Otherwise, the existing `ignore-dependency` element will be returned.

  Returns:
    the node defined for the element `ignore-dependency`

### setAopDomainName

    ConsumerBeanType<T> setAopDomainName(java.lang.String aopDomainName)

  If not already created, a new `aop-domain-name` element with the given value will be created. Otherwise, the existing `aop-domain-name` element will be updated with the given value.

  Returns:
    the current instance of `ConsumerBeanType`

### removeAopDomainName

    ConsumerBeanType<T> removeAopDomainName()

  Removes the `aop-domain-name` element

  Returns:
    the current instance of `ConsumerBeanType`

### getAopDomainName

    java.lang.String getAopDomainName()

  Returns the `aop-domain-name` element

  Returns:
    the node defined for the element `aop-domain-name`

### removePoolConfig

    ConsumerBeanType<T> removePoolConfig()

  Removes the `pool-config` element

  Returns:
    the current instance of `ConsumerBeanType`

### poolConfig

    PoolConfigType<ConsumerBeanType<T>> poolConfig()

  If not already created, a new `pool-config` element will be created and returned. Otherwise, the existing `pool-config` element will be returned.

  Returns:
    the node defined for the element `pool-config`

### removeAllJndiRef

    ConsumerBeanType<T> removeAllJndiRef()

  Removes all `jndi-ref` elements

  Returns:
    the current instance of `ConsumerBeanType`

### jndiRef

    JndiRefType<ConsumerBeanType<T>> jndiRef()

  Returns the `jndi-ref` element

  Returns:
    the node defined for the element `jndi-ref`

### getJndiRefList

    java.util.List<JndiRefType<ConsumerBeanType<T>>> getJndiRefList()

  Returns all `jndi-ref` elements

  Returns:
    list of `jndi-ref`

### removeActivationConfig

    ConsumerBeanType<T> removeActivationConfig()

  Removes the `activation-config` element

  Returns:
    the current instance of `ConsumerBeanType`

### activationConfig

    ActivationConfigType<ConsumerBeanType<T>> activationConfig()

  If not already created, a new `activation-config` element will be created and returned. Otherwise, the existing `activation-config` element will be returned.

  Returns:
    the node defined for the element `activation-config`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD